Logic Pro 7 & earlier Logic 7 Will Work With?

mtjkeys

Logician
Hello LUG,

I resurrected my old PowerPC G4 running 10.4.11 and Logic 7.1.1. How far can I update my OS before 7 doesn't work right anymore?

Thank You,

Tim Jennens
mtjkeys
 

mtjkeys

Logician
I think I figured it out. I can only go to 10.5 on my PPCG4. So I'm assuming Logic 7 will run on 10.5 since I'm already using 10.4.11
 
Upvote 0
Top